org.eclipse.eef

## Interface EEFCheckboxDescription

All Superinterfaces:
  EEFControlDescription, EEFWidgetDescription, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFCheckboxDescriptionImpl

    public interface EEFCheckboxDescription
    extends EEFWidgetDescription

A representation of the model object 'EEF Checkbox Description'. Represents a checkbox used to edit a boolean property.

The following features are supported:

- `Value Expression`
- `Edit Expression`
- `Style`
- `Conditional Styles`

See Also:
  `EefPackage.getEEFCheckboxDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFCheckboxConditionalStyle>` `getConditionalStyles()` Returns the value of the 'Conditional Styles' containment reference list.
`java.lang.String` `getEditExpression()` Returns the value of the 'Edit Expression' attribute.
`EEFCheckboxStyle` `getStyle()` Returns the value of the 'Style' containment reference.
`java.lang.String` `getValueExpression()` Returns the value of the 'Value Expression' attribute.
`void` `setEditExpression(java.lang.String value)` Sets the value of the '`Edit Expression`' attribute.
`void` `setStyle(EEFCheckboxStyle value)` Sets the value of the '`Style`' containment reference.
`void` `setValueExpression(java.lang.String value)` Sets the value of the '`Value Expression` ' attribute.

### Methods inherited from interface org.eclipse.eef.EEFWidgetDescription

`getHelpExpression, getIsEnabledExpression, getLabelExpression, getPropertyValidationRules, setHelpExpression, setIsEnabledExpression, setLabelExpression`

### Methods inherited from interface org.eclipse.eef.EEFControlDescription

`getIdentifier, setIdentifier`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getValueExpression

    java.lang.String getValueExpression()

Returns the value of the 'Value Expression' attribute. Indicates how to display the input value.

Returns:
  the value of the 'Value Expression' attribute.
See Also:
  `setValueExpression(String)`, `EefPackage.getEEFCheckboxDescription_ValueExpression()`

#### setValueExpression

    void setValueExpression(java.lang.String value)

Sets the value of the '`Value Expression` ' attribute.

Parameters:
  `value` - the new value of the 'Value Expression' attribute.
See Also:
  `getValueExpression()`

#### getEditExpression

    java.lang.String getEditExpression()

Returns the value of the 'Edit Expression' attribute. Defines the behavior executed when the end-user updates the value of the checkbox field.

Returns:
  the value of the 'Edit Expression' attribute.
See Also:
  `setEditExpression(String)`, `EefPackage.getEEFCheckboxDescription_EditExpression()`

#### setEditExpression

    void setEditExpression(java.lang.String value)

Sets the value of the '`Edit Expression`' attribute.

Parameters:
  `value` - the new value of the 'Edit Expression' attribute.
See Also:
  `getEditExpression()`

#### getStyle

    EEFCheckboxStyle getStyle()

Returns the value of the 'Style' containment reference. Defines the checkbox style

Returns:
  the value of the 'Style' containment reference.
See Also:
  `setStyle(EEFCheckboxStyle)`, `EefPackage.getEEFCheckboxDescription_Style()`

#### setStyle

    void setStyle(EEFCheckboxStyle value)

Sets the value of the '`Style`' containment reference.

Parameters:
  `value` - the new value of the 'Style' containment reference.
See Also:
  `getStyle()`

#### getConditionalStyles

    org.eclipse.emf.common.util.EList<EEFCheckboxConditionalStyle> getConditionalStyles()

Returns the value of the 'Conditional Styles' containment reference list. The list contents are of type `EEFCheckboxConditionalStyle`. Defines the checkbox style associated to a precondition

Returns:
  the value of the 'Conditional Styles' containment reference list.
See Also:
  `EefPackage.getEEFCheckboxDescription_ConditionalStyles()`